// /**
//  * @Author: huxiaolong
//  * @File: gencode-scheme.js
//  * @DATE: 2019-09-10
//  * @TIME: 09:55
//  */
// import axios from "../libs/api.request";
//
//
// /* 获取生成方案列表 */
// export const getSchemeList = (params) => {
//   return axios.request({
//     url: 'api/v1/scheme/data',
//     method: 'get',
//     params: params
//   });
// };
//
// /* 根据生成方案Id获取生成方案 */
// export const getSchemeById = (id) => {
//   return axios.request({
//     url: 'api/v1/scheme/getById',
//     method: 'get',
//     params: {id: id}
//   });
// };
//
// /* 根据表单Id获取生成方案 */
// export const getSchemeByTableId = (id) => {
//   return axios.request({
//     url: 'api/v1/scheme',
//     method: 'get',
//     params: {genTableId: id}
//   })
// }
//
// /* 删除生成方案 */
// export const deleteSchemeByIds = (ids) => {
//   return axios.request({
//     url: 'api/v1/scheme/deleteByIds',
//     method: 'delete',
//     data: ids
//   })
// };
//
// /* 编辑保存生成方案 */
// export const updateScheme = (id, params) => {
//   return axios.request({
//     url: `api/v1/scheme/updateScheme/${id}`,
//     method: 'put',
//     data: params
//   });
// };
//
// /* 保存生成方案 */
// export const saveScheme = (params) => {
//   return axios.request({
//     url: 'api/v1/scheme/saveScheme',
//     method: 'post',
//     data: params
//   });
// };
//
// /* 根据生成方案进行代码生成 */
// export const schemeGencode = (isCover, data) => {
//   return axios.request({
//     url: 'api/v1/scheme/schemeCodegen',
//     method: 'post',
//     params: {isCover: isCover},
//     data: data
//   });
// };
//
// /* 根据表单页面进行代码生成 */
// export const gencodeByScheme = (isCover, params) => {
//   return axios.request({
//     url: 'api/v1/scheme',
//     method: 'post',
//     params: {isCover: isCover},
//     data: params
//   });
// };
//
// /* 根据表单页面进行代码生成下载 */
// export const schemeCodegenDownload = (data) => {
//   return axios.request({
//     url: 'api/v1/scheme/downloadCode',
//     method: 'post',
//     data: data,
//     responseType: 'blob'
//   })
// }
//
// /* 根据生成方案预览代码生成(自定义) */
// export const schemeCustomPreview = (params) => {
//   return axios.request({
//     url: 'api/v1/scheme/schemeCodegenPreview',
//     method: 'post',
//     data: params
//   })
// };
//
// /* 根据生成方案预览代码生成(非自定义) */
// export const schemeExtraPreview = (params) => {
//   return axios.request({
//     url: 'api/v1/scheme/preview',
//     method: 'post',
//     data: params
//   })
// }
//
// export const findSchemesByGenTableId = (id) => {
//   return axios.request({
//     url: `api/v1/scheme/findByGenTableId/${id}`,
//     method: 'get'
//   })
// }
//
//
//
