import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/genConfig/tableFieldType/getById/${id}`,
    method: 'get'
  })
}

export const remove = (ids) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType/remove',
    method: 'put',
    data: ids
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/genConfig/tableFieldType/${id}`,
    method: 'put',
    data: data
  })
}
